<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFTable (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFTable (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSoundData.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFTable.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFTable" class="title">Class HSLFTable</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                       title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                               title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFGroupShape</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.usermodel.HSLFTable</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                 title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>&gt;, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
                            title="interface in org.apache.poi.hslf.usermodel">HSLFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                            title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSLFTable</span>
extends <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
           title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>
implements <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
              title="interface in org.apache.poi.hslf.usermodel">HSLFShapeContainer</a>, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</pre>
                <div class="block">Represents a table in a PowerPoint presentation</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#BORDERS_ALL">BORDERS_ALL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#BORDERS_INSIDE">BORDERS_INSIDE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#BORDERS_NONE">BORDERS_NONE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#BORDERS_OUTSIDE">BORDERS_OUTSIDE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>[][]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#cells">cells</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#HSLFTable-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTable</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                    <div class="block">Create a Table object and initialize it from the supplied Record
                                        container.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#HSLFTable-int-int-">HSLFTable</a></span>(int&nbsp;numRows,
                                    int&nbsp;numCols)</code>
                                    <div class="block">Create a new Table of the given number of rows and columns</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#HSLFTable-int-int-org.apache.poi.sl.usermodel.ShapeContainer-">HSLFTable</a></span>(int&nbsp;numRows,
                                    int&nbsp;numCols,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                    <div class="block">Create a new Table of the given number of rows and columns</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#afterInsert-org.apache.poi.hslf.usermodel.HSLFSheet-">afterInsert</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sh)</code>
                                    <div class="block">Event which fires when a shape is inserted in the sheet.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#getCell-int-int-">getCell</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">Gets a cell</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#getColumnWidth-int-">getColumnWidth</a></span>(int&nbsp;col)</code>
                                    <div class="block">Gets the width (in points) of the n-th column</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#getNumberOfColumns--">getNumberOfColumns</a></span>()</code>
                                    <div class="block">Return the maximum number of columns.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#getNumberOfRows--">getNumberOfRows</a></span>()</code>
                                    <div class="block">Return the number of rows</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#getRelativeCell-org.apache.poi.hslf.usermodel.HSLFTableCell-int-int-">getRelativeCell</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>&nbsp;origin,
                                    int&nbsp;row,
                                    int&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#getRowHeight-int-">getRowHeight</a></span>(int&nbsp;row)</code>
                                    <div class="block">Gets the row height</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#initTable--">initTable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#moveAndScale-java.awt.geom.Rectangle2D-">moveAndScale</a></span>(java.awt.geom.Rectangle2D&nbsp;anchorDest)</code>
                                    <div class="block">Moves and scales this <code>ShapeGroup</code> to the specified
                                        anchor.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#setColumnWidth-int-double-">setColumnWidth</a></span>(int&nbsp;col,
                                    double&nbsp;width)</code>
                                    <div class="block">Sets the width (in points) of the n-th column</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#setRowHeight-int-double-">setRowHeight</a></span>(int&nbsp;row,
                                    double&nbsp;height)</code>
                                    <div class="block">Sets the row height.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html#setSheet-org.apache.poi.hslf.usermodel.HSLFSheet-">setSheet</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sheet)</code>
                                    <div class="block">Assign the <code>SlideShow</code> this shape belongs to</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFGroupShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#addShape-org.apache.poi.hslf.usermodel.HSLFShape-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createSpContainer-boolean-">createSpContainer</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createTextBox--">createTextBox</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getEscherChild-int-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getHyperlink--">getHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getInteriorAnchor--">getInteriorAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#removeShape-org.apache.poi.hslf.usermodel.HSLFShape-">removeShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#setExteriorAnchor-java.awt.geom.Rectangle2D-">setExteriorAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#setInteriorAnchor-java.awt.geom.Rectangle2D-">setInteriorAnchor</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getClientData-boolean-">getClientData</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getClientDataRecord-int-">getClientDataRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getClientRecords--">getClientRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.ddf.EscherContainerRecord-int-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hslf.record.RecordTypes-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.hslf.record.RecordTypes-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherOptRecord--">getEscherOptRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherProperty-org.apache.poi.ddf.AbstractEscherOptRecord-int-">getEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherProperty-short-">getEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherProperty-short-int-">getEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFill--">getFill</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getSpContainer--">getSpContainer</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#moveTo-double-double-">moveTo</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setEscherProperty-org.apache.poi.ddf.AbstractEscherOptRecord-short-int-">setEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setEscherProperty-short-int-">setEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setRotation-double-">setRotation</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setShapeId-int-">setShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setShapeType-org.apache.poi.sl.usermodel.ShapeType-">setShapeType</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFShapeContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html"
                                        title="interface in org.apache.poi.hslf.usermodel">HSLFShapeContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createTextBox--">createTextBox</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.ShapeContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#addShape-S-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#removeShape-S-">removeShape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PlaceableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="BORDERS_ALL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDERS_ALL</h4>
                                <pre>protected static final&nbsp;int BORDERS_ALL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.usermodel.HSLFTable.BORDERS_ALL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BORDERS_OUTSIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDERS_OUTSIDE</h4>
                                <pre>protected static final&nbsp;int BORDERS_OUTSIDE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.usermodel.HSLFTable.BORDERS_OUTSIDE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BORDERS_INSIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDERS_INSIDE</h4>
                                <pre>protected static final&nbsp;int BORDERS_INSIDE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.usermodel.HSLFTable.BORDERS_INSIDE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BORDERS_NONE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BORDERS_NONE</h4>
                                <pre>protected static final&nbsp;int BORDERS_NONE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.usermodel.HSLFTable.BORDERS_NONE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cells">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>cells</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>[][] cells</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFTable-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFTable</h4>
                                <pre>protected&nbsp;HSLFTable(int&nbsp;numRows,
                    int&nbsp;numCols)</pre>
                                <div class="block">Create a new Table of the given number of rows and columns</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numRows</code> - the number of rows</dd>
                                    <dd><code>numCols</code> - the number of columns</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSLFTable-int-int-org.apache.poi.sl.usermodel.ShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFTable</h4>
                                <pre>protected&nbsp;HSLFTable(int&nbsp;numRows,
                    int&nbsp;numCols,
                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</pre>
                                <div class="block">Create a new Table of the given number of rows and columns</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>numRows</code> - the number of rows</dd>
                                    <dd><code>numCols</code> - the number of columns</dd>
                                    <dd><code>parent</code> - the parent shape, or null if table is added to sheet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSLFTable-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFTable</h4>
                                <pre>protected&nbsp;HSLFTable(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</pre>
                                <div class="block">Create a Table object and initialize it from the supplied Record
                                    container.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>escherRecord</code> - <code>EscherSpContainer</code> container which holds
                                        information about this shape
                                    </dd>
                                    <dd><code>parent</code> - the parent of the shape</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCell-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>&nbsp;getCell(int&nbsp;row,
                             int&nbsp;col)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getCell-int-int-">TableShape</a></code></span>
                                </div>
                                <div class="block">Gets a cell</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getCell-int-int-">getCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row index (0-based)</dd>
                                    <dd><code>col</code> - the column index (0-based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the cell or null if the cell doesn't exists, e.g. when accessing
                                        a merged cell or if the index is out of bounds
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfColumns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfColumns</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfColumns()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfColumns--">TableShape</a></code></span>
                                </div>
                                <div class="block">Return the maximum number of columns.
                                    If the table contains merged cells, the number of columns might be less than the
                                    maximum.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfColumns--">getNumberOfColumns</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the maximum number of column</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfRows</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfRows()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfRows--">TableShape</a></code></span>
                                </div>
                                <div class="block">Return the number of rows</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getNumberOfRows--">getNumberOfRows</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row count</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="afterInsert-org.apache.poi.hslf.usermodel.HSLFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>afterInsert</h4>
                                <pre>protected&nbsp;void&nbsp;afterInsert(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sh)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#afterInsert-org.apache.poi.hslf.usermodel.HSLFSheet-">HSLFShape</a></code></span>
                                </div>
                                <div class="block">Event which fires when a shape is inserted in the sheet.
                                    In some cases we need to propagate changes to upper level containers.
                                    <br>
                                    Default implementation does nothing.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#afterInsert-org.apache.poi.hslf.usermodel.HSLFSheet-">afterInsert</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sh</code> - - owning shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="initTable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>initTable</h4>
                                <pre>protected&nbsp;void&nbsp;initTable()</pre>
                            </li>
                        </ul>
                        <a name="setSheet-org.apache.poi.hslf.usermodel.HSLFSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSheet</h4>
                                <pre>public&nbsp;void&nbsp;setSheet(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSheet</a>&nbsp;sheet)</pre>
                                <div class="block">Assign the <code>SlideShow</code> this shape belongs to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setSheet-org.apache.poi.hslf.usermodel.HSLFSheet-">setSheet</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sheet</code> - owner of this shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowHeight-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowHeight</h4>
                                <pre>public&nbsp;double&nbsp;getRowHeight(int&nbsp;row)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getRowHeight-int-">TableShape</a></code></span>
                                </div>
                                <div class="block">Gets the row height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getRowHeight-int-">getRowHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row index (0-based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the height (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRowHeight-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowHeight</h4>
                                <pre>public&nbsp;void&nbsp;setRowHeight(int&nbsp;row,
                         double&nbsp;height)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setRowHeight-int-double-">TableShape</a></code></span>
                                </div>
                                <div class="block">Sets the row height.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setRowHeight-int-double-">setRowHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row index (0-based)</dd>
                                    <dd><code>height</code> - the height to set (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumnWidth-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumnWidth</h4>
                                <pre>public&nbsp;double&nbsp;getColumnWidth(int&nbsp;col)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getColumnWidth-int-">TableShape</a></code></span>
                                </div>
                                <div class="block">Gets the width (in points) of the n-th column</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#getColumnWidth-int-">getColumnWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the column index (0-based)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the width (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColumnWidth-int-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColumnWidth</h4>
                                <pre>public&nbsp;void&nbsp;setColumnWidth(int&nbsp;col,
                           double&nbsp;width)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setColumnWidth-int-double-">TableShape</a></code></span>
                                </div>
                                <div class="block">Sets the width (in points) of the n-th column</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html#setColumnWidth-int-double-">setColumnWidth</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                                title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;</code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the column index (0-based)</dd>
                                    <dd><code>width</code> - the width (in points)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRelativeCell-org.apache.poi.hslf.usermodel.HSLFTableCell-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRelativeCell</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>&nbsp;getRelativeCell(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>&nbsp;origin,
                                        int&nbsp;row,
                                        int&nbsp;col)</pre>
                            </li>
                        </ul>
                        <a name="moveAndScale-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>moveAndScale</h4>
                                <pre>protected&nbsp;void&nbsp;moveAndScale(java.awt.geom.Rectangle2D&nbsp;anchorDest)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#moveAndScale-java.awt.geom.Rectangle2D-">HSLFGroupShape</a></code></span>
                                </div>
                                <div class="block">Moves and scales this <code>ShapeGroup</code> to the specified
                                    anchor.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#moveAndScale-java.awt.geom.Rectangle2D-">moveAndScale</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFTable.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSoundData.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFTable.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFTable.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
